Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.config
Class IBeanFlowConstruct

    java.lang.Object
      org.mule.construct.AbstractFlowConstruct
          org.mule.construct.SimpleFlowConstruct
              org.mule.module.ibeans.config.IBeanFlowConstruct

All Implemented Interfaces:
  FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageProcessor

    public class IBeanFlowConstruct

extends SimpleFlowConstruct

This is an empty flow construct that is used to host an iBean as a component with one or more component bindings. Each method annotated with `Call` or `Template` has an associated component binding associated with it.

See Also:
  `CallInterfaceBinding`

Field Summary

Fields inherited from class org.mule.construct.SimpleFlowConstruct
`messageProcessors, workManager`

Fields inherited from class org.mule.construct.AbstractFlowConstruct
`exceptionListener, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, muleContext, name, statistics, threadingProfile`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`IBeanFlowConstruct(String name, MuleContext muleContext)`

Method Summary
`String` | `getConstructType()`

Methods inherited from class org.mule.construct.SimpleFlowConstruct
`configureMessageProcessors, getMessageProcessors, process, setEndpoint, setMessageProcessors, setThreadingProfile`

Methods inherited from class org.mule.construct.AbstractFlowConstruct
`createMessageProcessor, dispose, disposeIfDisposable, doDispose, doInitialise, doStart, doStop, getExceptionListener, getLifecycleState, getMessageInfoMapping, getMessageProcessorChain, getMessageSource, getMuleContext, getName, getStatistics, getThreadingProfile, initialise, initialiseIfInitialisable, injectFlowConstructMuleContext, isStarted, isStopped, isStopping, setExceptionListener, setMessageInfoMapping, setMessageSource, start, startIfStartable, stop, stopIfStoppable, toString, validateConstruct`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IBeanFlowConstruct

    public IBeanFlowConstruct(String name,
                              MuleContext muleContext)

Method Detail

### getConstructType

    public String getConstructType()

  Overrides:
    `getConstructType` in class `SimpleFlowConstruct`
  Returns:
    the type of construct being created, e.g. "Flow"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.